# A very simple setup script to create 2 executables.
#
# hello.py is a simple "hello, world" type program, which alse allows
# to explore the environment in which the script runs.
#
# test_wx.py is a simple wxPython program, it will be converted into a
# console-less program.
#
# If you don't have wxPython installed, you should comment out the
#   windows = ["test_wx.py"]
# line below.
#
#
# Run the build process by entering 'setup.py py2exe' or
# 'python setup.py py2exe' in a console prompt.
#
# If everything works well, you should find a subdirectory named 'dist'
# containing some files, among them hello.exe and test_wx.exe.


from distutils.core import setup
import py2exe
import glob, os

baseNumberFileList = glob.glob(os.path.join('Images', '*.bmp'))
dllFileList = glob.glob(os.path.join('.', '*.dll'))

setup(
      version = "1.0.0",
      description = "Number Recognizer, by RyuiSaka and Emulboy",
      name = "Number Recognizer",
      zipfile=None,
      windows=[{"script" : "NumberRecognizer.pyw"}],
      options={"py2exe" : {"includes" : ["sip", "PyQt4", "opencv"], "dll_excludes": ["MSVCP90.dll"], "optimize":2, "excludes":"wx"}},
      data_files=[('images', baseNumberFileList), ('.', dllFileList)]
)